﻿.layout-wrapper {
    position: relative;
    display: flex;
    flex-direction: column;
    min-width: calc(1366px - 36px);
    min-height: 100vh;
    min-height: clamp(768px, 100vh, 100%);
}
/* ローダー表示中は、ウィンドウのスクロールバー非表示 */
.layout-wrapper.showLoader {
    max-width: 100vw;
    max-height: 100vh;
    overflow: hidden;
}

.navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    /*padding: 0 1rem;*/
    /*與澤修正：ヘッダーの右端の一部が白いため*/
    padding: 0;
    /*與澤修正：ヘッダー縦幅を60pxに*/
    height: 60px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    /* ヘッダー固定設定 */
    position: sticky;
    top: 0;
    left: 0;
    width: 100%;
    min-width: calc(1366px - 36px);
    z-index: 1;
    background-color: white;
}

.navbar-nav > li {
    margin-left: 10px;
}

.navbar-nav > li button {
    color: #000000;
    font-weight: 700;
}

/*ヘッダー用*/
.header-font {
    font-size: 24px;
    margin-bottom: 0;
}

.header-name {
    font-weight: 700;
    text-decoration: none;
}

/*ヘッダーとフッターボタンの大きさ調整*/
.header-content .btn, 
.footer .btn {
    font-size: 18px;
    height: 40px;
}

/*画像サイズ*/
.header-image {
    width: 59px;
    height: 40px;
}

/*フッター用*/
.footer {
    /*背景色*/
    background-color: var(--primary-color);
    bottom: 0;
    height: 83px;
    padding: 10px 0 10px 0;
}

.footer-top {
    display: flex;
    /*縦方向に中央寄せ*/
    align-items: center;
    /*両端に配置*/
    justify-content: space-between;
    padding: 0 20px 0 20px;
}

.footer-left {
    display: flex;
    align-items: center;
}

.footer-contact-title {
    padding: 0 10px 0 10px;
}

.footer-contact-text {
    justify-items: left;
    margin-left: 10px;
    padding: 0 10px 0 10px;
}

.footer-right {
    display: flex;
    justify-content: space-between;
}

.footer-image-div {
    background-color: #FFFFFF;
    border-radius: 10px;
    padding: 10px 15px 10px 15px;
    margin-left: 30px;
    width: 270px;
    cursor: pointer;
}

.footer-image {
    width: 240px;
}

.footer-btns {
    display: flex;
}

.footer-btns button {
    color: #000000;
    font-weight: 700;
}

.footer-btn-right {
    margin-left: 10px;
}

.footer-text {
    margin-bottom: 0;
    font-size: 14px;
    font-weight: 700;
}

.footer-bottom {
    height: 37px;
    display: flex;
    justify-content: center;
    align-items: flex-end;
}

.footer-text-rights {
    margin-bottom: 0;
    font-size: 14px;
    vertical-align: bottom;
}